Package Details: runc-git v1.0.0.rc4.r217.ga618ab5a-1

Git Clone URL: https://aur.archlinux.org/runc-git.git (read-only, click to copy)
Package Base: runc-git
Description: Container CLI tools
Upstream URL: http://runc.io/
Keywords: container
Licenses: Apache
Conflicts: runc
Provides: runc
Submitter: irtimmer
Maintainer: etnbrd
Last Packager: etnbrd
Votes: 14
Popularity: 0.000000
First Submitted: 2015-06-24 16:25
Last Updated: 2018-02-12 22:11

Dependencies (4)

Required by (10)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

NonerKao commented on 2017-03-27 15:06

@a36233

Sorry that I cannot reproduce the result while I have exactly the same hash and version with you.

Anybody else that would like to help with testing this package?

a36233 commented on 2017-03-27 14:33

It fails with:
go build -i -ldflags "-X main.gitCommit="ef9a4b315558d31eae520725ff67383c2f79c3cb" -X main.version=1.0.0-rc3" -tags "seccomp" -o runc .
unexpected directory layout:
import path: github.com/Sirupsen/logrus
root: /home/<user>/AUR/runc-git/src/go/src
dir: /home/<user>/AUR/runc-git/src/go/src/github.com/opencontainers/runc/vendor/github.com/Sirupsen/logrus
expand root: /home/<user>/AUR/runc-git/src/go/src
expand dir: /home/<user>/AUR/runc-git/src/go/src/github.com/opencontainers/runc/vendor/github.com/Sirupsen/logrus
separator: /
make: *** [Makefile:30: runc] Error 1
==> ERROR: A failure occurred in build().
Aborting...

NonerKao commented on 2017-03-17 02:15

Now the building procedure is fixed. The build() function now creates a temporary GOPATH and treats runc as a go package.

This package now contains three components:
1. /bin/runc: the main binary
2. /lib/libcontainer.a: a library of open container compliance
3. /lib/libcontainer: a directory containing many small libraries that are parts of libcontainer.a (as of my understanding)

The third part seems to be unnecessary, maybe?
Any comments are welcome.

NonerKao commented on 2017-03-17 01:42

@a36233

Thanks for the report.
It seems to me that this is a similar issue to this: https://github.com/golang/go/issues/12432

So I will follow the official way to build this package and rewrite the logic in PKGBUILD file.

a36233 commented on 2017-03-16 20:30

It fails with:
./restore.go:111: cannot use spec (type *"github.com/opencontainers/runtime-spec/specs-go".Spec) as type *"github.com/opencontainers/runc/vendor/github.com/opencontainers/runtime-spec/specs-go".Spec in field value

NonerKao commented on 2016-08-18 14:25

Thanks for your suggestion!

The "git" dependency for make and conflict/provide have been updated.

pathes commented on 2016-08-18 12:37

Please add 'conflicts' and 'provides':

provides=('runc')
conflicts=('runc')

Cromer commented on 2016-07-01 19:16

There is a missing makedepends. git is required to build this package.

davvore33 commented on 2016-06-23 07:30

please, set conflict to "runc", thanks

LeoFa commented on 2016-02-06 00:34

PKGBUILD fails with pacman 5.0
license="APACHE"
should be array
license=('APACHE')
please fix